Bug 1675235 - knot: FTBFS in Fedora rawhide/f30
Summary: knot: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: knot
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:38 UTC by Fedora Release Engineering
Modified: 2019-02-28 15:12 UTC (History)
4 users (show)

Fixed In Version: knot-2.7.6-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 15:12:20 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:38 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:38 UTC, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2019-02-11 20:38 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:38:24 UTC
knot failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32405490


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix knot at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
knot will be orphaned. Before branching of Fedora 31,
knot will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:38:26 UTC
Created attachment 1530816 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:38:28 UTC
Created attachment 1530817 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:38:29 UTC
Created attachment 1530818 [details]
state.log

Comment 4 Tomas Krizek 2019-02-12 09:09:02 UTC
We've been investigating this failure and the specific test that fails is:

contrib/test_net: not ok 68 - UDP, send on defined address
https://gitlab.labs.nic.cz/knot/knot-dns/blob/5514fc244a7ca036e7fd5d4ef8ea9daa67b4b0bc/tests/contrib/test_net.c#L332

We haven't identified any issue with the test itself in upstream. The test passes on x86_64 and seems to fail mainly on aarch64. Unfortunately, we don't have access to any aarch64 machine, so we have no easy way to debug it.

Since the test didn't change since last release, we suspect it might have started to fail due to some dependency.

Comment 5 Tomas Krizek 2019-02-28 15:12:20 UTC
Turns out the test isn't needed for Knot DNS, so I've disabled it.

Interestingly, the last time this particular test has passed successfully on all arches in F30 was right before the rebase to kernel 5.0.


Note You need to log in before you can comment on or make changes to this bug.